Subject: Re: [patch 00/16] Portability Patches for git-1.7.1 (v4)

From: Andreas Schwab <[email-masked]>
Date: Tue, 27 Apr 2010 22:13:02 +0200

Jeff King <[email-masked]> writes:

> Furthermore, if we do take such changes, how are we going to manage
> portability going forward? Some constructs (like non-constant
> initializers) make the code much easier to read. People _will_ submit
> patches that use them. Is somebody going to be auto-building on all of
> these platforms with vendor compilers to confirm that nothing is broken?

You can use "gcc -pedantic" to find these portability problems.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."